Argus - Beta History


3.210 (26-Mar-2001)
-------------------

[+] Атом "Скрипт" позволяет передавать команды удаленной системе,
    ожидая ее реакции (например Login/Password на маршрутизаторе)
    перед началом сессии.

    Работает только на исходящих сессиях, при совпадении узла, 
    указанного в строке "Список Узлов" атома. В этом списке допустимы
    маски.

    Скрипт разбит на строки (неограниченное количество), которые 
    последовательно передаются удаленной стороне. Между посылкой строк
    Аргус ждет определенного ответа от удаленной стороны, или 
    таймаута.

    Каждая строка разбита на четыре элемента:

    Команда, Регулярное Выражение, Таймаут (в секундах), и Команда
    Таймаута.

    Скрипт запускается сразу после соединения модемов (Carrier 
    Detected) и работает по следующей схеме:

    а) Посылает модему строку "Команда"
    б) Сканирует ввод от модема по "Регулярному Выражению", и при этом 
       ждет таймаута.
    в) При совпадении "Регулярного Выражения", переходит на следующую 
       строчку скрипта.
    г) По истечении Таймаута (в секундах) посылает строку "Команда 
       Таймаута" и переходит к пункту б. Если "Команда Таймаута" пустая,
       переходит к предыдущей строке скрипта.

[*] Использована версия 3.3 библиотеки PCRE (Perl-Compatible Regular 
    Expressions).

[*] Возможность избежать перезагрузки Аргуса при возникновении фатальных 
    ошибок WinSock (shutdown/closesocket errors). Использовать эту 
    опцию не рекомендуется, так как нормальная работа после фатальных 
    ошибок маловероятна.

    Чтобы включить эту опцию, добавьте следующее значение в реестр:
 
    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "DisableWinsockTraps"=dword:00000001

[*] Возможность выбора версии WinSocket:

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]

    "WinSockVersion"=dword:00000001
    для WinSocket v1

    "WinSockVersion"=dword:00000002
    для WinSocket v2

    "WinSockVersion"=dword:00000000 (и другие значения, отличные от 1 и 2)
    для автоматического выбора (по умолчанию).


3.208 (7-Apr-2000)
-------------------

[*] Комбинации клавиш Alt+F10 или Shift+F10 могут использоваться для
    вызова контекстного (pop-up) меню там, где это меню вызывается нажатием
    правой кнопкой мыши.

[+] Возможность определять ивенты в UTC (Dmitry Toporkov).

[+] Время работы узла также отображается в UTC в Инспекторе Узлов и в окне
    обзора списка узлов.

[-] Исправлен баг в атоме "Input WatchDog Reset" (Pawel Matytsin).

[-] Привязывание/Освобождение ивента вступало в действие после 
    перезапуска.


3.207 (19-Mar-2000)
-------------------

[*] Макросы %ARCMAIL%, %FRIPMAIL% и макросы файл-боксов стали 
    регистронезависимыми.

[-] 3.206 не запускался под Windows 95.

[-] Файлбоксы T-Mail без явного указания статуса были невидны
    Аргусом при использовании макроса %STMAIL (Dmitry Sukhov).

[-] Изменен Zone 3 mail hour (перенесен назад на 1 час) (Malcolm Miles).



3.206 (17-Mar-2000)
-------------------

[!] Один EXE-файл для NT/9x/Dial-Up/IP.

[*] Использована версия 3.1 библиотеки PCRE (Perl-Compatible 
    Regular Expressions). Модуль "Study" больше не используется.

[*] Изменения для лучшей совместимости с USR T.C. (Konstantin Mohorea).

[*] Дополнительные EMSI_NAK, пришедшие в последующую секунду после 
    приема первого EMSI_NAK игнорируются.

[-] Линии TCP/IP не закрывались в момент обработки файлового запроса.
    (Alexey Gerasimov).


3.205 (02-Mar-2000)
-------------------

[+] Опция "Config/Polls/Options/Prevent 'Direct' from initiating 
    a poll" предотвращает от создания прозвонки по обнаружению 
    "Direct"-пакета в буфере отправки (Peter Hampf).

[-] Адреса, содержащие ошибки не исключались из списка адресов,
    что приводило к разрыву соединения с сообщением в логе: "Remote 
    presented no valid addresses - disconnecting" error message. 
    Предъявленный список адресов в лог не выводился (Peter Hampf).

[-] Счетчики Busy/No.c./Fail могли автоматически сбрасываться 
    и никогда не достигать максимального (stand-off) значения
    (Yuri Kosivtsov).

[+] Возможность вызывать старый (WinHelp) хелп вместо нового HTMLHelp
    (Oleg Vasenyoff).

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "DisableHtmlHelp"=dword:00000001


3.203 (19-Feb-2000)
-------------------

[*] Пробелы вокруг имени принимаемого файла удаляются с соответствующей 
    записью в лог (Peter Hampf).

[-] Окончательно исправлено ложное сообщение "All AKAs are busy - 
    disconnecting" (Peter Hampf).
 

3.202 (18-Feb-2000)
-------------------

[-] Аутентификация "CRAM-MD5 auth" отображалась в логе как "plain auth"
    на входящих соединениях.

[-] Исправлена ложная запись "All AKAs are busy - disconnecting". 
    Фактического отсоединения не происходило после вывода этого 
    случайного сообщения (Peter Hampf).

[-] Окончательно исправлен SRIF (Peter Hampf). 

[-] Ошибка пароля на CRAM-MD5 не отображалась в логе. Выводилось только 
    "Disconnect reason is fatal error" (Michael Karpov).

[-] Атом "Modem Error Ext.App." не работал (Sergey Golubev).


3.201 (3-Feb-2000)
-------------------

[-] Префиксы приоритета и режима показа окна во внешних приложениях 
    Door, Fax и Service Request обрабатывались некорректно и вызывали
    ошибку Win32 "The directory  name is invalid" (Peter Hampf).

[*] Добавлена поддержка Unlisted-узлов при обработке SRIF (Peter Hampf).

[-] Макросы не работали в масках строк SRIF (Peter Hampf).


3.199 (1-Feb-2000)
-------------------

[!] Изменился формат справочной системы на HTML help (файлы CHM)
    (Joerg Doering).

[-] Исключена возможность вводить дубликаты алиасов и путей в диалоге
    конфигурации файловых запросов.

[-] Исправлен баг в Service Request Processors (Peter Hampf).


3.198 (27-Dec-1999)
-------------------

[-] Исправлен баг с "UNLISTED" в SRIF и атоме Accept Listed Only.

[+] current.ip флаг указывает на то, что открыто хотя бы одно 
    TCP/IP-соединение. 

[+] Запись частично-принятых страниц факса (Oleg Vasenyoff).

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "ForceFaxPage"=dword:00000001

[+] Автоувеличение последнего символа расширения ARСmail'а (если файл
    с таким именем уже присутствует в Inbound):

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "IncrementArcmail"=dword:00000001

[+] Возможность вести отчет об активности тредов (threads.txt в каталоге 
    хронологии).

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "LogThreadTimes"=dword:00000001



3.197 (16-Dec-1999)
-------------------

[+] Возможность посылки определенных символов в качестве терминатора
    EMSI-последовательности (Konstantin Mohorea).

    Пример использования CR LF как терминатор EMSI-последовательности:

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "EMSI_CR"="%0D%0A"

[-] Временные каталоги OUT.XXX не удалялись (Jцrg Doering).

[+] Улучшен механизм работы с badwazoo.lst (Oleg Vasenyoff). 

[+] Возможность держать закрытым файл badwazoo.lst (Oleg Vasenyoff). 
    Не изменяйте этот файл, когда запущен Аргус. Ваши изменения могут
    быть перезаписаны.

    Чтобы включить эту опцию, добавьте следующее значение в реестр:

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "CloseBWZFile"=dword:00000001



3.196 (6-Dec-1999)
------------------

[-] Исправлена ошибка, из-за которой неправильно выводились немецкие символы 
    в интерфейсе.

[-] Исправлена ошибка со счетчиком [OK] в "незарегистрированном" окне (только
    в незарегистрированной версии).

[-] Мелкие багфиксы.




3.195 (30-Nov-1999)
-------------------

[-] Спецфлаг !ALL и флаги с префиксом "!" не работали в Node 
    Overrides Editor.

[+] active.linename / active.ip флаги в корневом каталоге указывают на то,
    что модемная линия / демон активны, то есть открыты. Это не означает
    наличие текущей сессии: модемные линии / демон могут находиться в любом 
    состоянии, в том числе ожидать входящие соединения.

[-] IP-флаги в нодлисте могли предотвратить прозвонку с модемной линии.

[-] Исправлена разборка регулярных выражений в ответах модема.

[*] Hangup-строка теперь посылается только при поднятом сигнале DCD.

[*] Строка статистики посылалась в модем до посылки Hangup-строки.



3.194 (06-Nov-1999)
-------------------

[+] Атомы Accept Nodes Required/Forbidden принимают маски (Michael Sorokin).

[-] Outbound Manager при сканировании игнорировал .bsy-файлы при чтении 
    .?lo-файлов (Dmitry Toporkov).

[-] Исправлен трап при попытке произвести прозвонку после освобождения
    порта при активном атоме "Accept No Incoming" (Oleg Redut).


3.193 (03-Oct-1999)
-------------------

[+] Аргус поддерживает флаги Pvt/Hold/Down в нодлисте.

[-] Исправлен баг (версии 3.192) с меню в сетках ввода строк.

[+] Возможность игнорировать сигналы завершения сессии (WM_ENDSESSION и
    WM_QUERYENDSESSION). Это может быть полезно при работе сервисом NT.

    Чтобы включить эту опцию, добавьте следующее значение в реестр:

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "IgnoreEndSession"=dword:00000001

[*] Обновленный хелп.



3.192 (11-Sep-1999)
-------------------

[-] Передача хэндлов сокета внешним приложениям не работала под
    Win95/98 (Notanee Bourassa). Теперь, чтобы запускать eleBBS 
    в режиме telnet, введите следующую строку в 
    Config/External/Doors/Door and parameters: 
    
    c:\ele\elebbs.exe -XC -XT -B%B -H%h -N%n

[-] Таймер "отбой" мог неправильно работать.

[-] Ошибки в русском переводе.

[-] Исправлено представление ArcMail в OutBound Manager (Alexander 
    Balabchenkov).


3.191 (16-Jul-1999)
-------------------

[+] Немецкий интерфейс и хелп (Jorg Doering).

[-] Исправлен порядок строк в Response Log Format atom (Ed Vedernikoff).

[-] Исправлена обоаботка %Z при запуске DOS-сессии (Mike Ehlert).

[-] Исправлена ошибка "xBaseDone while ThreadCount=..."

[+] Ведение лога в ODBC. Создайте в "ODBC Data Source Administrator"
    алиас "ArgusLog". В базе создайте таблицу "LogStrings" со следующими 
    обязательными колонками, три текстового типа: "Logger", "RecTag" 
    и "RecMsg" и одну типа дата/время "RecTime". Вы можете также создать 
    дополнительную колонку, содержащую автоматически увеличивающийся номер
    ряда, но убедитесь, что значения этой колонки будет устанавливаться
    автоматически. Для добавления записей аргус выполняет следующее 
    SQL-выражение:

  INSERT INTO LogStrings (Logger, RecTag, RecTime, RecMsg) VALUES (?, ?, ?, ?)

    Для создания таблицы LogStrings в MS Access можно выполнить следующее
    SQL-выражение:
        
       create table LogStrings (
    	 RecId   counter NOT NULL CONSTRAINT RecIdIndex PRIMARY KEY,
  	 Logger  char(20) NOT NULL,
  	 RecTag  char(1) NOT NULL,
  	 RecTime date NOT NULL,
  	 RecMsg  char(250) NOT NULL);
  
    Затем в Config/Start-up включите "ODBC logging" и перезагрузите Аргус.
    Ошибки ODBC будут записываться в файл "odbcerr.log" в каталоге логов Аргуса.


3.188 (3-Jul-1999)
------------------

[*] %ARCMAIL% работает в соответствующих атомах (Alex Berez).

[-] На исходящих сессиях, если удаленная сторона отложила
    прием файла, прозвонка не удаляется, а переводится в
    состояние отбой (если не ручная).

[-] При докачке учитываются все AKA (Dmitry Rahalov).

[-] Исправлен вывод множественных сообщений "file not sent - reason is ...".

[-] Пост-процессор, определенный по адресу узла, не запускался,
    если от узла не было принято ни одного файлоа (Alexey V Bugrov).

[*] Поддержка флагов FSC-0056 (HAT, etc...)

[-] Изменения в Node Inspector вступали в силу только после 
    перезагрузки Аргуса.

[-] Входящий каталог факсов не создавался автоматически 
    (Vladimir Januszkiewicz).

[-] Изменение статуса через Outbound Smartmenu меняло порядок 
    приаттаченных файлов (Alexander Savich).

[-] Привязка/отвязка ивентов к линии/демону не вступало в силу до 
    перезагрузки.

[+] Команда информации модема (см. сетку ввода строк Modem General Commands) 
    посылается после успешного завершения сессии. Результат записывается в лог.
    Можно использовать атом Response Log Format atom (см. далее) для 
    форматирования вывода.

[+] Новые "сторожевые" атомы:
       Input WatchDog Reset
         Сканирует пришедшие данные, и, при соответствии 
         регулярному выражению, ресетит линию.
       Input WatchDog ExtApp
         Сканирует пришедшие данные, и, при соответствии 
         регулярному выражению, запускает внешнее приложение.

[+] Новые атомы форматирования:
       Input Log Format
       Response Log Format

    Атом Input Log Format сканирует пришедшие данные, и
    при соответствии регулярному выражению, форматирует и пишет в лог.
 
    Атом Response Log Format работает также, но сканирует не все 
    данные, а только ответы команд.
   
    Пример для ZyXEL U1496 E+ 
    (основа взята из конфига by Vsevolod Fedotov для Bink/+)

    Modem|General/Commands|Info:

        ATI2|

    Атом Response Log Format, регулярное выражение:

	ZyXEL U-MODEM LINK STATUS REPORT\s*
	Chars Sent *(\w+) *Chars Received *(\w+)\s*
	Octets Sent *(\w+) *Octets Received *(\w+)\s*
	Blocks Sent *(\w+) *Blocks Received *(\w+)\s*
	Blocks Resent *(\w+) *Max Outstanding *(\w+)\s*
	Max Block Size *(\w+) *Retrains Requested *(\w+)\s*
	Link Duration *(\w+) *Retrains Granted *(\w+)\s*
	T401 Timeouts *(\w+) *T402 Timeouts *(\w+)\s*
	FCS Errors *(\w+) *Round Trip Delay *(\w+)\s*
	Xmitter Underrun *(\w+) *Receiver overrun *(\w+)\s*
	Last Speed/Protocol *(.+)\b\s*
	Disconnect Reason *(.+)\b\s*


    Response Log Format Atom, формат (Format Specifier):

	Was $19 during $11 min, RTT=$16 T
	Tx/Rx: $1/$2 chrs, $3/$4 octs, $5+$7/$6 blks
	Retrains $10/$12, Timeouts $13/$14, FCS Errors $15, Overruns $17/$18
	Disconnect reason: $20

[+] Другие атомы:
       Accept Nodes Only Listed
         Прием звонков только от узлов, прописанных в нодлисте или
         в паролях/переопределениях
       Accept BPS Efficiency Min
       Transmit BPS Efficiency Min


[*] В логе исправлено сообщение "Times (run/user/kernel) = 11/0/0 sec." 
    До этого, полях user/kernel time всегда возвращалось 0/0, даже если
    эти значения превышали 1 секунду. Теперь эти значения выдаются в 
    миллисекундах.

[*] Флаги "close.linename" & "open.linename" удаляются только после
    действительного открытия/закрытия линии. 

[+] Perl-совместимые регулярные выражения, благодарности Philip Hazel.

    Использована библиотека PCRE, которая является программным 
    обеспечением с открытыми исходными текстами. Библиотеку PCRE написал
    Philip Hazel <ph10@cam.ac.uk>, авторские права на нее принадлежат 
    Кембриджскому Университету, Англия. 

    Регулярные выражения теперь могут использоваться в файловых масках,
    масках адресов, ответах модемов, конфигурации файл-боксов, то есть 
    везде, где можно использовать обычные маски (хотя ответы модемов
    не позволяют использование обычных масок) :-))

    Информация о регулярных выражениях содержится на 

    http://www.activestate.com/ActivePerl/docs/lib/pod/perlre.html#Regular_Expressions

    Чтобы вставить регулярное выражение, используйте символ '~', после 
    которого следует символ-разделитель, определяющий начало и конец 
    регулярного выражения.

    например

    до~#РегулярноеВыражение#после

    где "до" и "после" это опциональный текст, который расценивается 
    как обычная маска (то символ соответствует самому себе, '?' 
    соответсвует любому символу, '*' соответсвует последовательности 
    символов.
    
    "РегулярноеВыражение" - текст регулярного выражения.
    
    '#' - символ-разделитель.

    Например, файловая маска

    ~#cat(aract|erpillar|)\..+#

    будет подходить файлам с именами "cat", "cataract", or "caterpillar", с 
    обязательным любым расширением.

    иногда это можно заменить на

    ~#cat(aract|erpillar|)#.*

    здесь, после разделителя, текст (".*") трактуется как обычная маска, то 
    есть '.' соответствует точке, а '*' соответствует последовательности 
    символов.
   
    Вам не нужно "якорить" регулярное выражение (используя символы '^' и '$') 
    в файловых масках - они бут "заякорены" автоматически, а если надо 
    пропустить символы с начала или с конца, используйте ".*" :-)

    Другой пример использования регулярных выражений в ответах модемов:

    ~#^RING(\x20\d)?$#

    Из-за того, что пробел (или другой символ) может использоваться как 
    разделитель в строках конфигурации, такой символ не должен встречаться
    в оригинальном виде. Разделитель в строках конфигурации (пробел) имеет 
    больший приоритет, чем разделитель регулярного выражения (например #).

    Чтобы в регулярных выражениях избежать  использования разделителя, 
    применяемого в строках конфигурации, используйте шестнадцатеричный код
    (например \x20 для пробела) или соответствующий шаблон (например \s)

    Если символ '#' планируется использовать в регулярном выражении,
    вы можете также прибегнуть к шестнадцатеричному коду, но лучше 
    подобрать другой символ на роль разделителя :-)

    ~`^RING(\x20#\d)?$`

    Для того, чтобы использовать символ '~' в обычной маске, удвойте его.

[+] Возможность открытия .BSY-файлов без DELETE_ON_CLOSE. В таком случае,
    файлы будут удаляться командой DeleteFile. Это может быть полезно
    на сетевых устройствах.

    Чтобы включить эту опцию, добавьте в реестр:

    [HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini]
    "SimpleBSY"=dword:00000001




3.187 (29-Apr-1999)
------------------

[-] Исправлен баг (внесенный в 3.186), связанный с обработкой Cron.

[-] Исправлен баг ZModem refuse (Vladimir Dobrachev).

[+] Новые атомы:
      Log EMSI Data 
      Accept CPS Min
      Transmit CPS Min
      Accept Duration Max
      Transmit Duration Max

[*] Улучшена обработка файл-боксов. Макрос %LTMAIL теперь действительно работает.


3.186 (11-Mar-1999)
------------------

[+] CRAM-MD5 auth на BinkP.

[*] Увеличена производительность протокола Niagara.

[-] Пофиксан баг с sent-каталогом файлбоксов.

[-] Ошибки передачи при протоколе Niagara пишутся в лог (Alex Bolibot).

[+] Совмещение интервалов. Можно указывать несколько интервалов cron
    в одной строке, разделив точкой с запятой.

[*] Продуктный FTSC-код Аргуса - 7FF.

[-] Исправлено перемещения файлов под Win9x на NetWare (Alex Bolibot).

[-] Исправлена утечка памяти при обработке файл-боксов (Sergey Semenyuk).

[-] RING, пришедший от модема во время посылки сложной командной строки ответа
    мог помешать ответу на входящий звонок.

[-] Проверка на повторно определенный узел в конфигурации периодических 
    прозвонок, определениях модемных и TCP/IP-узлов.

[-] После окончания периода активности атома "Accept No Incoming" 
    не открывался порт.

[-] Исправлена работа со строками, из-за которой мог возникать трап.

[-] Исправлена множественная запись в лог строк "...not sent, reson...".


3.184 (18-Jan-1999)
------------------

[!] Русский интерфейс.

[-] Исправлена ошибка SYS0002, происходившая на BinkP-сессиях с файловым 
    запросом. (Alexey V Bugrov).

[-] В лог писалась лишняя строка CONNECT (dmitry troopin).

[-] Размер лимита по размеру на фреки вычислялся проверялся с опозданием на 
    один файл (Alex Berez).

[-] Исправлено квитирование символов при редактирование файловых 
    запросов (Sergei Shuma).

[-] Диагностика соответствия масок во время активности атомов 
    Accept/Transmit Files Required/Forbidden (Igor Bychkov).

[-] При активном атоме Modem Disable Re-init, при смене строки инициализации
    из другого атома, модем не автоматически не 
    переинициализировался (Vladimir Bakhvaloff).

[-] Исправлен трап при нажатии кнопки редактирования пустой сетки 
    демона (Paul Kalyakin).

[-] Исправлен тайм-аут реакции на EMSI (Alexey V Bugrov).

[-] Если сетка паролей была пуста, изменение поля Auxiliary Password File не
    сохранялось (Dima Vilisov).


3.183 (12-Jan-1999)
------------------

[+] Добавлен Start-up Wizzard.

[*] В инспектор узлов добавлены поля файлбоксов, прозвонок и пост-процессоров.

[-] Убрано авто-добавление к ZMH к узлам, у коротрых определено время работы
    через "Txy" (Anatoly Serjakov).

[*] Улучшено обновление статуса во время компиляции нодлиста (Sergey Korowkin).

[-] Окошко лога показывало пустую последнюю строку (dmitry troopin).

[+] Атом Transmit Speed Min (Vadim Kazakov).

[-] Remove Broken Links в Outbound SmartMenu не работал в 3.181-3.182 
    (Egons Bush).

[*] Обновлен файл справки.


3.182 (5-Jan-1999)
------------------

[!] Инспектор узлов (Ctrl+I).

[-] Существовала возможность импорта сетки строк информации присоединенного
    узла (Sergey Korowkin).

[*] Изменена процедура перемещения файлов из временного инбаунда. Для 
    надежности работы, переданные файлы перемещаются из Temporary Inbound 
    в Secure/Insecure Inbound или в файл-бокс путем операции "переименовать", 
    а не "скопировать и удалить", поэтому оба каталога (исходный и назначения)
    должны находиться на одном томе или физическом диске.

[+] Config/Start-up Log WZ pending/incomplete.

[+] Дополнительные файлы конфигурации (Igor Balashov).

    В строке ввода Auxiliary Passwords File диалогового окна Config/Passwords
    можно указать путь к файлу дополнительных паролей, которые будут 
    использоваться помимо указанных в сетке. Формат файла следующий 
    (один пароль на строку):
 
    СписокАдресов| Пароль

    Пример:

    2:469/38 | SUPER
    2:469/77 2:469/84 | PUPER
  
    Дополнительный файл паролей загружается в память при запуске Аргуса, 
    а также при обнаружении флага PASSWORD.OK в Home Directory. 
    Результаты загрузки файла отражаются в хронологии прозвонок.

    В строке ввода Auxiliary Nodes File диалоговых окон Config/Dial-up и
    Config/Daemon можно указать путь к файлу дополнительных переопределений 
    узлов, которые будут использоваться помимо указанных в сетке. 
    Формат файла следующий (переопределение одного узла на строку):
 
    Адрес | Переопределения

    Пример:

    2:469/38 | 373-2-246-530,CM,ZYX 373-7-222-222,CM,HST
    3:383/514 | 3:383/513,HST,CM 3:383/550,V34,U,TACL

    Файл дополнительных переопределений загружается в память при запуске 
    Аргуса, а также при обнаружении флага DUPOVR.OK и IPOVR.OK в Home 
    Directory. Результаты загрузки файла отражаются в хронологии прозвонок.


    PASSWORD.LST, введенный в 3.161 больше не используется.


3.181 (30-Dec-1998)
-------------------

[!] Config/File boxes. 
    В этом окне находится строка ввода Options|Root directory, которая
    определяет корневой каталог для файлбоксов. Правило, по которым путь к 
    корневому каталогу добавляется к каталогам файлбоксов, то же, что и для
    Home Directory окна Config|Paths.       

    Значением строки колонки Node может быть FTN-адрес или упрощенная маска
    адресов.

    Значением строки колонки Status может быть:

    C - Crash
    D - Direct
    N - Normal
    H - Hold
    * - любой из вышеперечисленных статусов.

    Значение строки колонки Path может содержать макросы:    

    %ZONE     FTN zone in decimal (1-4 десятичные цифры)
    %NET      FTN network in decimal (1-5 десятичных цифр)	
    %NODE     FTN node in decimal (1-5 десятичных цифр)
    %POINT    FTN point in decimal (1-5 десятичных цифр)
    %HZONE    FTN zone in hex (3 шестнадцатеричные цифры)
    %HNET     FTN net in hex (4 шестнадцатеричные цифры)
    %HNODE    FTN node in hex (4 шестнадцатеричные цифры)
    %HPOINT   FTN point in hex (4 шестнадцатеричные цифры)
    %XZONE    FTN zone in radix-32 (2 цифры radix-32)
    %XNET     FTN net in radix-32 (3 цифры radix-32)
    %XNODE    FTN node in radix-32 (3 цифры radix-32)
    %XPOINT   FTN point in radix-32 (2 цифры radix-32)
    %STATUS   Статус (C=Crash, D=Direct, N=Normal, H=Hold)
    %TSTATUS  То же, что и %STATUS, но пустому значение сответствует статус 
              Normal.
    
    Значение строки колонки Path может задать путь к каталогу, в который
    будут перемещены файлы, отправленные из данного файлбокса. Этот путь 
    отделяется символом "|" и может содержать дополнительные макросы (помимо
    вышеописанных), представляющие текущую дату и время.

    %YEAR         Год (4 цифры)
    %MONTHN       Месяц (2 цифры)
    %MONTHA       Месяц (3 буквы) 
    %MONTHS       Месяц (2 буквы)   
    %DAY          День месяца (2 цифры)
    %DOWN         День недели (1 цифра)
    %DOWA         День недели (3 буквы) 
    %DOWS         День недели (2 буквы)  
    %HOUR         Час (2 цифры)
    %MINUTE   	  Минута (2 цифры)
    %SECOND       Секунда (2 цифры)

    Файлы, находящиеся в файлбоксах, отображаются в цифры Outbound Manager,
    но операции с ними Outbound SmartMenu(tm) не выполняет. 
    Outbound SmartMenu(tm) выполняет операции только над файлами, 
    приаттаченными через Binkley Outbound.
    

[-] Исправлен баг версий 3.178-3.179, который приводил к 100% загрузке CPU 
    после редактирования ивентов (Alexey V Bugrov).

[*] Эта версия юзает почти вдвое меньше памяти, чем 3.163-3.179.

[*] Строки, пришедшиет от модема с момента поднятия трубки до установления 
    коннекта пишутся в лог.

[+] Incoming fileboxes (Config/Externals/PostProcessors), also allow all
    listed above macros except of %STATUS and %TSTATUS.

[+] Префикс "^" используется во входящих файлбоксах для указания способа
    работы с принятыми файлами в случае, если файл с таким же именем уже
    находится во входящем файлбоксе. Если префикс установлен, принятый файл 
    замещает собой находящийся, иначе, как обычно, в очереди INTMP/Badwazoo.

    Пример: Config/Externals/Postprocessors:

    Mask List   String to execute

    2:469/38    &^d:\fl\from38

[+] Кнопка "Explain" в схемах ограничений.

[+] Иконки в меню.


3.179 (28-Nov-1998)
-------------------

[-] Исправлен баг в вычислении длительности ивента.

[-] Попытка послать команду модему (F9) при закрытом порте приводила к трапу.
    (Alex Petin).

[-] Аргус 3.178 не работал Windows 95/98.


3.178 (24-Nov-1998)
-------------------

[!] Возможность посылать команды модему (Line/Send Modem Commands или F9), 
    когда линия находится в режиме Idle.

[*] При запуске второй копии Аргус активизирует первую, а не выдает табличку.

[-] Если при отсчете времени до набора номера при активном атоме Rings=0
    поступал входящий звонок, Аргус сбрасывал счетчик ожидания и пытался 
    набрать номер, вызывая NO DIALTONE и приводя к сбросу входящего 
    звонка (Alexey V Bugrov).

[+] Префикс внешних приложений '!' для запуска в нормальном режиме.

     '!'  - Запустить в нормальном режиме.
     без префикса - Запустить минимизированным.
     '?'  - Запустить скрытым.
     '??' - Запустить в detached mode (для консольных Win32-приложений).

[-] В File Requests Configuration, пароли не скрывались 
    звездочками (Sergey S Bogukovsky).
    
[*] Теперь Broken Link'и не отцепляются, а переводятся в статус Normal 
    (для Crash/Direct).

[-] Исправлен баг, приводивший к трапу "[MainVCL] Access violation at address 
    004F7F4C.  Read of address 00000010". Значения адресов могли меняться в 
    зависимости от версии (Egons Bush).

[-] Не писалась в лог строка коннекта перед "Connection too slow - 
    disconnecting" (Serge Dobronravov).

[+] Возможность изменять имена файлов access_log, agent_log and 
    binary_log files (Barry Blackford).

    Имя раздела:
    
    HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini

    Имена строковых параметров:

    access_log
    agent_log
    binary_log

[-] Некоторые трапы могли отображаться в виде модального диалогового окна,
    Аргус не перегружался при этом, но терял работоспособнось (Egons Bush).

[-] ALPHA-версии Аргуса (3.163-3.175) могли игнорировать .BSY-флаги
    (Dmitry Sofronoff).


3.175 ALPHA (30-Oct-1998)
-------------------------

[-] Исправлены проблемы с компиляцией больших нодлистов.

[-] Исправлены ошибки переполнения.

[*] Аргус передает пустой PKT-файл, если нечего слать на ZModem-сессии.
    Для отключения этой фичи служат атомы Accept/Transmit Dummy-Z Disabled 
    и флаг NODUMMYZ.


3.174 ALPHA (17-Oct-1998)
-------------------------

[-] Изменена обработка параметра %Z (Sean Rima).

[-] Исправлено "Can't find required relocations" под Win95.


3.173 ALPHA (9-Oct-1998)
-------------------------

[-] При ручном ответе на входящий звонок при освобожденном порте модем не
    инициализировался (Alex Petin).

[-] В версиях 3.163-3.172 не работали Refuse/Skip на гидре.

[-] Исправлен вывод сообщения в лог "Receiving file was rejected by local 
    operator / Failed to receive '...', deleting '...'


3.172 ALPHA (23-Sep-1998)
-------------------------

[-] Пофиксен трап при ручном ответе на входящий звонок при освобожденном порте
    (Alex Petin).


3.171 ALPHA (21-Sep-1998)
-------------------------

[-] Исправлена ошибка в процедуре перерисовки дерева буфера отправки,
    присутствовавшая начиная с версии 2.54.

[-] Исправлена ошибка в обработке значения stand-off minutes. Это значение
    игнорировалось и было заложено в 20 минут +-50%. (Fermin Sanchez).

[-] Исправлены Range Check Errors версии 3.165 ALPHA.



3.165 ALPHA (7-Sep-1998)
-------------------------

[-] Исправлены Range Check Errors версии 3.164 ALPHA.



3.164 ALPHA (2-Sep-1998)
-------------------------

[-] Исправлены баги версии 3.163 ALPHA.

[-] Исправлена обработка полей даты в Cron (Dmitry Kondratjev).



3.163 ALPHA (30-Aug-1998)
-------------------------

[-] Исправлены затыки на Niagara, не приводившие ни к чему, кроме разрыва 
    сесии по тайм-ауту.

[+] Передача файлов с именами в пробелах на BinkP и при файловых запросах.

[-] Нормальный апдэйт бадвазу при WM_QUERYENDSESSION.



3.162 (22-Aug-1998)
-------------------

[+] Аргус использует оповещение Internet Explorer 4.0+ о перезагрузке 
    таск-бара, свидетельствующее об удалении с него иконок. Получив
    такое оповещение, Аргус вновь создает свою иконку в трэе (Andrew Lovetski).

[-] Иправлен "Hydra Bug with HCHR_PKTEND", обнаруженный в HydraComm & 
    BinkleyTerm. Хотя на Аргус этот баг не должен был влиять :-) (Igor Vanin).

[-] Не обновлялся корректно Badwazoo.lst (Eugene Likhin).

[-] Формат Badwazoo.lst не допускал пробельные символы в именах файлов.

[-] Исправлены надписи Flow Control (Dmitry Kondratjev).

[-] Исправлен трап, который мог происходить, если все файлы, подлежащие отправке в 
    текущей сессии были недоступны (Sergey Spiridonov).

[-] Исправлена обработка длинных имен файлов (более 4096 байт).

[-] Символ процента ("%") игнорировался в качестве маски в сетке 
    File Request Configuration/Aliases в версии 3.161.



3.161 (9-Aug-1998)
-------------------

[+] В File Request Configuration/Aliases можно использовать маски 
    ("*","?","%"). С маской можно использовать префикс ">", тогда на запрос 
    будет передан только самый новый (по дате модификации) файл из списка 
    попадающих под маску.

    Отдать по алиасу NODEDIFF самый свежий нод-диф:

    Alias      Path

    NODEDIFF   >R:\AF\NODELIST\NODEDIFF.Z%%


[+] PASSWORD.LST в каталоге флагов добавляет дополнительные пароли, кроме тех,
    что используются в сетке Config/Passwords. Формат PASSWORD.LST следующий:

    CписокАдресов|Пароль

    пример:

    2:469/38|SUPER
    2:469/77 2:469/84|PUPER

    PASSWORD.LST считывается в память при загрузке Аргуса и по обнаружении
    файл-флага PASSWORD.OK   


[-] Слегка изменен ZModem для улучшения сессий с ifcico.

[-] TCP/IP-линии не разгребали Pending BadWaZOO.

[-] Исправлен мелкий Memory Leak, возникавший при смене значений Cron.

[-] Исправлен баг в обработке Cron, из-за которого при смене значений Cron
    мог произойти запуск всех Периодически-Запускаемых Приложений и 
    Периодических Прозвонок.
  
[-] Исправлен баг, который, в редких случаях, мог приводить к трапам при 
    обработке ивентов, привязанных к TCP/IP Демону.

[+] Атомы: Password
           Door

   

3.159 (29-Jun-1998)
-------------------

[-] Исправлена ошибка, допущенная в EMSI-соединении версии 3.157-3.158.

[-] Слегка изменен ZModem для улучшения сессий с ifcico.



3.158 (22-Jun-1998)
-------------------

[-] Исправлена ошибка, допущенная в EMSI-соединении версии 3.157 (Sean Rima).



3.157 (16-Jun-1998)
-------------------

[+] YooHoo (FTS-0006).

[-] Исправления ZModem. 

[-] Исправлен отказ от приема .REQ.

[+] Новые флаги узлов: NOEMSI, NOYOOHOO.

[-] Исправлен socket shutdown (Fyodor Ustinov).

[+] Новые атомы:
       Accept EMSI Disabled 
       Transmit EMSI Disabled
       Accept YooHoo Disabled 
       Transmit YooHoo Disabled


3.156 (4-Jun-1998)
-------------------

[+] Поддержка P2K.


3.155 (18-May-1998)
-------------------

[-] Исправлен атом "Accept Nodes Required".

[-] Аргус может запускаться свернутым, если это указано в ярлыке (shortcutе).

[-] Tray pop-up был модальным.

[-] Исправлен трап на приеме пустых страниц (Fyodor Ustinov).

[-] Accept No Incoming с внешней прозвонкой вызывал трап (Ilya Kuleshov).

[-] Ctrl-PgUp не работали в 3.153-3.154 (Stephen V.Avdeyev).

[-] Если поступал сигнал RING во время инициализации модема в момент дейтсвия
    атома Rings=0, линия могла перейти в дубовый режим (Stephen V.Avdeyev).


3.154 (28-Apr-1998)
-------------------

[!] Атом: Accept No Incoming
           Во время активности этого атома, коммуникационный порт используется
           только для выходных звонков. В остальное время порт является 
 	   доступным другим приложениям.

[*] Круто изменен ZModem. 
   


3.153 (27-Apr-1998)
-------------------

[!] close.linename & open.linename, close.ip & open.ip. Рулез.

[+] Атомы: Accept Niagara Disabled
	   Accept Hydra Disabled
           Accept ZModem Disabled
	   Transmit Niagara Disabled
	   Transmit Hydra Disabled
           Transmit ZModem Disabled
           Accept FTS-0001 Disabled

[*] Исправления в ZModem.

[-] Исправлена ошибка (3.152) обработки префиксов внешний приложений.

[+] Флаги узлов:
      NONIAGARA - запрет Niagara(tm)
      NOHYD     - запрет Hydra
      NODZA	- запрет DirZap (Zmodem/8K/Direct)
      NOZAP	- запрет ZedZap (Zmodem/8K)
      NOZMO	- запрет ZedZip (Zmodem/1K)
      NOZM      - запрет любого сеанса ZModem (NODZA,NOZAP,NOZMO).

    Пример: Config/Dial-up/Nodes

     Node         Overrides
     2:469/38	  2:469/38,NOHYD


3.152 (23-Apr-1998)
-------------------

[*] Префиксы Hidden/Detached/Priority можно использовать и для веншних
    SRIF/Doors приложений.

[*] Исправлен ZModem на сессиях с FrontDoor и Terminate (Lelio della Pietra).

[-] Исправлены засыпания линий.

[-] Попытка выходного звонка могла произойти во время ожидания RING'ов.

[+] Обновленный хэлп-файл. HTML-версия доступна на 
    http://www.ritlabs.com/argus/hlp/

[-] При записи TIFF-файлов создавался лишний пустой блок IFD (Fyodor Ustinov).

[-] Окно компиляции нодлиста, вызванное флагом nodelist.ok, могло оставаться
    на экране и остановить прозвонки.



3.151 (30-Mar-1998)
-------------------

[-] Исправлена ошибка запуска TCP/IP Daemon, возникавшая на машинах без
    установленного TCP/IP Service.

[*] Диалоги прозвонок объединены.

[*] Поля Config/Passwords проверяются на повторения.

[+] Поддержка IntelliMouse.

[*] С окном Logger можно работать при помощи клавиш-стрелок.

[*] Линиями в диалоге Config/Start-up теперь можно управлять без мыши.


3.149 (7-Mar-1998)
------------------

[-] Пофиксан Zmodem малость.



3.148 (2-Mar-1998)
------------------

[*] Двойной щелчек на элемент закладки Polls вызывает окно информации о 
    прозвонке.

[*] Ком-порты открываются как "\\.\COM" (Jury Fradkin).

[-] Пофиксан Zmodem малость (john gladkih).

[+] Tool / Create a Flag [Ctrl+F8].

[-] Пофиксано EMSI/BinkP-соединение (Juriy Goloveshkin).

[!] Внешние приложения умеют запускаться скрытыми, т.е. без перевода Windows
    из режима Full-Screen. (пионеру Диме Павлову (2:469/56.20), указавшему 
    Партии путь к Коммунизму, обеспечивается счастливое детство).

    Префиксы:

     '?'  - Запустить скрытым.
     '??' - Запустить в detached mode (для консольных Win32-приложений).


3.144 (9-Feb-1998)
------------------

[-] Исправлена ошибка версий 1.14-1.141 в обработке диапазонов cron 
    (Lelio della Pietra).

[-] Исправлена ошибка, приводившая к "спрыгиваннию" с EMSI на BinkP
    (Lelio della Pietra).

[-] Изменена обработка сигнала DCD.

[-] Исправлена проблема в протоколе ZModem. Теперь при связи с ifcico все
    нормально (Andrey Khristov).

[-] Исправлен "WriteFile Error 998", возникавший при закрытии линии 
    (Dmitry Tarasov).

[+] Обрабатываются значения cron, типа 2/4 (то же, что и 2-24/4 в старом 
    формате) (Vladimir Bakhvaloff). 


3.141 (7-Jan-1998)
-------------------

[-] Версии без TCP/IP были неправильно собраны.

[*] Файл threads.txt больше не ведется.



3.14 (7-Янв-1998)
-------------------

*** В первую очередь, этот релиз преследует багфиксовые цели, хотя 
    в него включены некоторые важные нововведения. Рекомендуется внимательно
    ознакомиться со списком изменений.

[!] Запись принятых факсов в TIFF-формате (Fyodor Ustinov, Jury Fradkin).

[+] Автоматическое распознавание порядка следования бит при приеме факсов.

[+] Возможность запуска внешнего приложения - обработчика принятых факсов.

    Префиксы здесь те же, что и для Externals/Post-processors:

     '<' - запустить с низким приоритетом (IDLE_PRIORITY_CLASS)
     '+' - запустить с высоким приоритетом (HIGH_PRIORITY_CLASS)
     '*' - запустить с критическим приоритетом (REALTIME_PRIORITY_CLASS)
     '?' - запустить в скрытом (бесконнсольном) режиме, только для 
               консольных Win32-приложений.
     '>' - вместо запуска приложения установить файл-флаг с именем, 
               следующим за '>'.

    Для получения имени принятого TIFF-файла используются макро-определения:

    %PATHNAME%  полное имя файла (с путем), например d:\fl\infax\03Jan003.tif
    %PATH%      путь к файлу, папример d:\fl\infax\
    %NAME%      имя файла (без расширения), например 03Jan003
    %EXT%       расширение файла, например .tif 

    Комбинация %PATH%%NAME%%EXT% идентична %PATHNAME%


[*] Для использования этой версии необходим обновленный ключ.
    Для бесплатного обновления существующего ключа, посетите 
    https://www.cflash.com/ritlabs/argus_key_update.html

[+] Поддержка соединений через SOCKS4 proxy server 
    (Config/General/Use SOCKS proxy server).

[+] Атомы: Accept FReq Count Public
           Accept FReq Count Pwd-Prot
           Accept FReq Duration Public
           Accept FReq Duration Pwd-Prot
           Accept FReq Size Public
           Accept FReq Size Pwd-Prot
           Accept Nodes Only Pwd-Prot
           Transmit Files Forbidden 
           Transmit Files Required  
         Внимание: два последних атома не влияют на файловые запросы (.REQ)
              и пакеты с типом приоритета Crash (.CLO/.CUT).

[+] Пимпочка "Permanent" в диалоге конфигурации ивента, служит для определения
    постоянно активных ивентов.  

[+] Шаг в cron, указывающийся после интервала через дробь. Например,
    "0-23/2" может использоваться в поле часов для указания того,
    что событие должно происходить каждые два часа (альтернатива из старого 
    варианта - "0,2,4,6,8,10,12,14,16,18,20,22"). Шаг может использоваться 
    также после звездочки, для события, происходящего через каждые четыре 
    минуты, используйте  "*/4" (MaX Brashenko)
  
[*] Метод DES/ECB заменен на DES/CBC при шифровании файла конфигурации и 
    в шифрованной BinkP-сессии. DES/CBC менее уязвим к атакам анализа 
    повторяющихся последовательностей, и может быть использован там,
    где достаточно алгоритма защиты средней степени.

[*] Входящие файловые запросы не принимаются, если переданы не все файлы,
    запрошенные в предыдущих сессиях, привязанные к HRQ.

[+] Клавишу <Delete> можно использовать для удаления из списков 
    Outbound/Polls (Igor Garmiza).

[*] Счетчики ручных прозвонок выводятся соответствующим образом 
    (Vladimir Dobrachev).

[-] Если удаленная сторона предлагает пароль при непарольной сессии,
    строка Password писалась в SRIF-файл вопреки спецификации SRIF.
    Также, SystemStatus в SRIF-файле устанавливается правильно 
    (Dmitry Kondratjev).

[*] Исправление, направленные на то, чтобы добиться правильной инициализации
    модема. В случае ошибки производится дополнительная попытка перезагрузки
    порта.

[*] Входной буфер порта очищается перед посылкой управляющего символа "|"
    (Sean Rima).

[-] Начальные и конечные пробелы в полях Nodelist/'Phones могли предотвратить
    трансляцию префиксов (Damien Sam).

[-] Сообщение "Session with 1:153/950 when dialled 1:153/750 - disconnecting"
    не выводилось на BinkP (Damien Sam).

[-] Исправлена мелкая пожиралка памяти, допущенная в 3.134 (Fyodor Ustinov).

[*] Фильтрация входящих файлов, основанная на адресе удаленной стороны,
    происходит только при парольных сессиях (Oleg Vasenyoff).

[*] При первом запуске во время начальной установки Аргуса, домашний каталог
    устанавливается там же, где находится файл argus.exe (Oleg Vasenyoff).

[+] Возможность удаления сразу всех строк сетки, используя всплывающее меню или
    Ctrl+Shift+Y или Ctrl+Shift+Delete (Damien Sam).

[*] Тайм-аут на BinkP во время Dial-up-соединения установлен в 60 секунд вместо
    360, как через TCP/IP.

[-] Номер линии (%n handshake switch) начинается с 1, в соответствии с 
    документацией, в предыдущих версиях начинался с нуля (Sean Rima).

[-] Handshake-свичи нельзя было использовать в пути, т.е. 
    "c:\pb\node%n\proboard.exe" выдавало ошибку "The directory name is invalid"
    (Sean Rima).

[-] Запущенные внешние приложения теперь не наследуют хэндлы ком-портов и 
    сокетов.

[*] Приоритет Аргуса при запуске снова устанавливается в Normal, вместо
    High, как в предыдущих версиях.


3.134 (3-Dec-1997)
-------------------

[+] Обрабатываются разрушающие скипы, принятые от T-Mail / TheBrake! 
    (Jury Fradkin).

[-] Пофиксан трап, возникавший после попытки зарефузить файл, передаваемый
    BinkleyTerm'ом (Antonio Ianiri).

[-] Слегка изменена обработка ZFIN'ов для улучшения ZModem-сессии с ifcico.

[-] Функция Win32 API GetFileInformationByHandle() больше не используется
    (Dimitri Tarassenko).

[-] Поле Password диалога Config/Passwords проверяется на предмет пустой
    строки в нем (Serj Li).

[-] Мелкие фиксы (Vladimir Bakhvaloff).

[-] У некоторых модемов неправильно определялся DCE rate (Sean Rima).



3.132 (25-Nov-1997)
-------------------

[*] Под год отводится четыре цифры.

[!] Внутренний приемщик факсов.

    В диалоге настройки модема появилась страничка "Fax", определяющая тип
    используемого приемщика факсов - внутренний или внешний.

    В параметрах линии появилось поле "Fax Inbound", определяющее
    каталог, в который будут помещены принятые факсы в формате T.4, по одному
    файлу на страницу.

    Внутренний приемщик факсов поддерживает наборы команда Class 2 и Class 2.0.
    Class 1 внутренним приемщиком не поддерживается.

    Строки ответа для приема факсом внутренним приемщиком схожи с используемыми
    для внешнего:

      Для модемов Class 2:
        ~AT&F|AT+FCLASS=2|AT+FLID="ID"|AT+FAA=1;a!

      Для модемов Class 2.0:
      ~AT&F|AT+FCLASS=2.0|AT+FLI="ID"|AT+FNR=1,1,1,1|at+FAA=1;a!

    Некоторые факсмодемы переключают скорость порта на 19.2 Kbps после 
    установления факс-соединения, другие же оставляют скорость порта 
    неизмененной. Скорость порта должа быть синхронизирована между компьютером 
    и модемом. Это достигается установкой соответствующего значения
    чекбокса "Switch DTE to 19.2 Kbps" странички "Fax" диалога конфигурации
    модема. Прием "мусора" после строки +FCON (или +FCO) свидетельствует о
    неправильно установленном значении чекбокса "Switch DTE to 19.2 Kbps".

[*] Перейти в режим редактирования пунктов списков диалогов 
    "Dial-up Configuration", "Events Configurations" и др. можно двойным 
    щелчком мыши.

[!] Поддержка трансляции FTN-заресов в имена хостов (распределенные
    нодлисты).

[+] NT-версия ведет отчет об активности тредов (threads.txt в каталоге 
    хроноголии).

[*] Повышена производительность Niagara-сессии, особенно на высокоскоростных
    линиях с повышенной задержкой (за счет увеличения размера окна).

[*] Первичным адресом удаленной системы при парольной сессии теперь считается 
    не первый из строки AKA, а первый запароленный адрес. Тем не менее,
    запароленно может быть сразу несколько адресов, при этом пароль должен
    быть единым для всех. Первичный адрес используется как адрес для привязки 
    запрошенных файлов, а также во время SRIF-запросов, а также для ведения
    binary_log и access_log. Механизм сортировки входящих файлов по каталогам,
    в зависимости от адреса удаленной системы также использует первичный
    адрес. 

[+] Входящие файлы можно сортировать по каталогам, в зависимости от первичного 
    (основного) адреса удаленной системы, а также в соответствии с файловой
    маской (диалог Config/Externals/Postprocessors). В одной строке "Mask List"
    можно указать несколько масок файлов и/или адресов, разделенных пробелами.
    Символ "амперсанд" (&), предшетсвующий строке в поле "String to execute"
    указывает на то, что эта строка определяет инбаунд для файлов, которые
    соответствуют маскам, указанным в поле Mask List.

    Иными словами, в поле Mask List можно указывать не только маски файлов, но 
    и маски адресов. В поле "String to execute" можно переопределять inbound
    каталог для файлов, подходящих под маски поля Mask List. Для 
    переопределения inbound-каталога ему должен предшествовать символ 
    амперсанд ('&').

    Пример переопределения инбаунда для файлов, прияных м пойнтов 59'го,
    эти файлы будут попадать в каталог INPNT

     Mask list         String to execute

     2:469/59.*        &INPNT


[-] Исправлены ошибки с запуском внешних приложений.

[-] Исправления в EMSI-хэншэйках.

[-] Исправлена работа треда "Lamps Fader", отжиравшего большую часть 
    аргусовского времени.

[-] Другие фиксы на тему "Year 2000 Problem".



3.122 (21-Oct-97)
----------------

[!] Аргус принимает почту и файлы на входящей FTS-0001 сесии. Кроме того 
    поддерживаются заголовки пакетов FSC-0039 и FSC-0045 для извлечения
    данных об удаленной системе. Обратите внимание на следующие ограничения:
    - Исходящие FTS-0001 звонки не производятся.
    - Во время FTS-0001 сесии Аргус не передает файлы удаленной системе. 
      Производится только прием.
    - Длина пароля ограничена восемью символами (столько места отаведено
      под пароль в заголовке пакета FTS-0001/FSC-0039/FSC-0045). Узлы
      с паролем длинее восьми символов не смогут установить парольное
      FTS-0001 соединеие с Аргусом.
    - Skip File / Reject File (а также refuse/delay) недоступны.
    - Докачка не производится.
    - Некоторые FTS-0001-мэйлеры не предоставляют время/дату создания файла.

[*] Сообщение "Carrier is still high" выдается не более трех раз, после
    чего линия принимает состояние Error.

[*] Для установления соединения сигнал DCD не обязателен - достаточно строки 
    CONNECT.

[*] Фиксы на тему +FCO.

[-] Пофиксан баг с "Dialling" и "Not enough rings to answer" 
    (Nicolas Rodionov).

[*] Корневая запись зоны теперь не обязательна для просмотра дерева нодлиста.

[-] Исправлены некоторые грамматические ошибки в интерфейсе 
    (Nicolas Rodionov).

[-] Исправлены методы инициализации/завершения работы с WinSocket.

[-] Мелкие исправлнения и багфиксы (446 шт).


3.118 (9-Oct-97)
----------------

[-] Если у ?lo'шки изменить статус или переадресовать, то после передачи она 
    не удалялась (Pavel Levshin).

[-] Пункт Kill заменен на Finalize, который удаляет только Kill-Sent, а
    длину Truncate-Sent файлов обрезает до нуля.

[*] EMSI_TCP/PCT заменены на EMSI_TZP/PZT

[-] Новый пункт SmartMenu(tm) - Open (вызывается также нажатием Enter на файл
    или двойным щелчком мыши). Открывает файл при помощи внешней программы
    просмотра, ассоциированной в registry (Vladimir Dobrachev). 


3.114 (3-Oct-97)
----------------

[!] Посвящается 561-летию Кишинева.

[*] Пункты Mirror & Close Window переместились в меню System. Меню 
    Window удалено.

[*] Пункты меню Advanced: File Requests, Externals, Events, Periodical Polls 
    и Poll Options переместились в меню Config. Меню Advanced удалено.

[-] Ивенты работают и в TCP/IP Daemon.

[*] "Широкий курсор" в списках.

[+] Новая фича - Duplicate Row - в pop-up меню сеток ввода строк.

[-] Возможность Экспорта/Импорта содержимого сеток ввода строк, содержащих
    символ '|'.

[*] Расширенные схемы ограничений прозвонок. Элементы в строке комбинируются
    логической операцией И, строки в таблице - логической ИЛИ.

[!] Config/External Polls. Внешние прозвонки предназначены для запуска
    внешних приложений вместо прозвонки на адрес, указанный в поле
    Address List диалога Config/Polls/External. По коду завершения приложения 
    определяется успешность прозвонки. Формат поля Application идентичен
    используемому в Config/Externals/Doors или Config/Dial-up/Modems/External 
    Fax Receiver, то есть работают все спецпараметры (handshake switches).

    Кроме того, введены новые спецпараметры (и соответствующие переменные
    окружения):

      %w ARGUS_NODE     Адрес узла внешней прозвонки, например "2:469/38".
      %x ARGUS_STATION  Нодлистовое имя узла (станции), если узел известен в
                        нодлисте.    
      %v ARGUS_LOCATION Географическое положение узла, если узел известен в
                        нодлисте.
      %X ARGUS_SYSOP    Имя сисопа, если узел известен в нодлисте.
      %y ARGUS_PHONE    Номер телефона или IP-адрес (или имя хоста) из 
                        нодлиста или определений.
      %Y ARGUS_FLAGS    Флаги узла из нодлиста или определений.
      %W ARGUS_SPEED    Скорость узла, если узел известен в нодлисте.

    Формат поля options:
    ДиапазонOk ДиапазонBusy ДиапазонNoC ДиапазонFail ТаймаутМинут ТаймаутКЗ

    ДиапазонOk   - диапазон кодов завершения, по которым прозвонка считается
                   успешной.

    ДиапазонBusy - диапазон кодов завершения, по которым прозвонка считается
                   завершившейся сигналом BUSY.

    ДиапазонNoC  - диапазон кодов завершения, по которым прозвонка считается
                   завершившейся вследствие неудачной попытки установки 
                   соединения.

    ДиапазонFail - диапазон кодов завершения, по которым прозвонка считается
                   завершившейся вследствие неудачной попытки инициирования
                   сессии.  

    ТаймаутМинут - максимально допустимое время для работы внешнего 
                   приложения. Если приложения не завершилось самостоятельно
                   в течении этого периода, оно будет насильственно прервано,
                   с кодом ошибки, установленным из переменной ТаймаутКЗ.
                   Если значение ТаймаутКЗ пропущено, то может быть пропущено
                   и значение ТаймаутМинут - в этом случает будет 
                   использоваться число 1.

    ТаймаутКЗ    - код завершения внешнего приложения по истечении времени,
                   определенном переменной ТаймаутМинут. Значение ТаймаутКЗ
                   может быть пропущено, в этом случае внешнее приложение
                   сможет завершиться только по самостоятельному выходу,
                   либо непосредственно перед завершением работы самой
                   системы Аргус.   

    В "Диапазонах" можно использовать перечисления и интервалы (как в cron),
    например "1,3,9-15". Символ точка (".") является пустым диапазоном. 
    
    Если код завершения находится вне всех четырех диапазонов, то такая 
    прозвонка считается успешной.
                    
    Пример поля options:

    . 1 2,5-7 3,4 10 2

    Это означает, что прозвонка считается Busy, если приложение завершилось
    с кодом 1, NoC с кодами 2,5,6,7, и Fail с кодами 3,4. Иные коды завершения
    служат поводом для успешного завершения прозвонки. Под время работы
    приложения отводится максимум 10 минут, если приложение не завершилось 
    по истечении 10 минут самостоятельно, оно будет прервано с кодом 
    завершения 2, который, в данном случае, находится в диапазоне NoC.



[+] BinkP через Dial-up. В этой версии применяется алгоритм Niagara(tm) в
    качестве Transport Layer'а для использования протокола BinkP через
    Dial-up. Основные преимущества алгоритма Niagara(tm) - эффективная 
    коррекция ошибок и защита от "эхо". 

[!] Шифрованная BinkP-сессия. В этой версии появилась возможность шифровать
    передаваемый и принимаемый потоки алгоритмом DES/ECB. Шифрование ведется
    на уровне между Transport Layer (TCP or Niagara) и Protocol Layer (BinkP).
    Имейте ввиду, что шифрование несет нагрузку на CPU. Используемую 
    программную реализацию алгоритма DES/ECB разработал Eric Young
    (eay@mincom.oz.au). Кроме того используется RSA Data Security, Inc. MD5
    Message-Digest Algorithm.
 
[+] Config/Encrypted Links. Это диалоговое окно позволяет определять узлы,
    соединения с которыми доступны только посредством шифрованной сессии. Для
    этого необходимо указать адрес узла и пароль, который преобразуется в
    DES-ключ для шифрования потоков сессии. DES-ключи шифрованных сессий
    хранятся в файле config.bin вместе с остальной конфигурацией. Одним из
    способов защиты DES-ключей и данных конфигурации является Master Password.

[+] Master Password. Предназначен для шифрования данных, находящихся в 
    config.bin. В качестве алгоритма шифрования используется DES. Master
    Password запрашивается каждый раз при старте Аргуса перед расшифровкой 
    в память содержимого config.bin. Master Password нигде не хранится, 
    поэтому настоятельно рекомендуется все же не забавать его, либо сохранить 
    оригинальный config.bin в надежном месте.

[-] Исправлен File Refuse (разрушающий skip) на ZModem. 

[+] Tool/Attach files. К отправке можно определить сразу несколько файлов,
    используя клавиши Ctrl и Shift в файловом диалоговом окне. В качестве 
    фильтров доступны все зарегистрированные типы файлов.

[+] Аттачить можно используя Drag & Drop из Windows Explorer в область 
    Outbound Manager.

[*] Флаги (пустые ?lo-файлы), использующиеся для определения типа приоритета
   .req и инициирования прозвонки. Так вот, эти флаги теперь отображаются в 
    Outbound Manager. Раньше не отображались. :-)

[+] Tools/Browse Nodelist at...

[!] Outbound SmartMenu(tm) это специальное всплывающее (pop-up) меню,
    вызываемое нажатием правой кнопки мыши или клавиши "пробел" в области
    менеджера буфера отправки. SmartMenu обеспечивает возможность выполнять
    все доступные в данный момент операции над пакетами буфера отправки.  
     * Attach to current node - вызывает процедуру приаттачивания (определения
       файлов к отправке), идентичную вызову пункта меню Tool/Attach files.
     * Poll to current node - инициирует прозвонку на указанный узел. 
       Идентично пункту меню Poll/Create.
     * Edit file request to current node - вызывает диалог редактирования
       файлового запроса, аналогичный пункту меню Tool/Edit File Request.
     * Browse Nodelist at current node - вызывает окно обзора структуры узлов,
       аналогичное пункту меню Browse Nodelist at...
    Текущими элементами буфера отправки, над которыми допустимы действия,
    могут быть:
         - Элемент буфера отправки, на который указывает курсор.
         - Все файлы с таким же именем как и тот, на который указывает курсор. 
         - ...с таким же расширением...
         - ...с таким же типом приоритета...
         - Все файлы, относящиеся к тому же узлу.
         - Весь буфер отправки целиком.
    Допустимыми действиями являются:
     * Readdress - переопределить на другой узел.
     * Kill - удалить (в том числе привязанные файлы).
     * Change flavour to Crash/Direct/Normal/Hold - изменить тип 
       приоритетности.
     * Unlink - "отвязать" файлы без убиения.
     * Remove broken links - удалить ссылки на недоступные файлы. Файлы
       могут быть недоступны, если они были удалены, или к ним нет связи
       (пропал доступ к сетевому диску). 

[+] Аргус посылает соответствующее сообщение перед отлупом входящего 
    соединения по причине переполнения количества, определенного в 
    установках TCP/IP Daemon. M_BSY/"Too many servers are running" на 
    BinkP и "BUSY"+CR на ifcico / Telnet.

[+] Появился редактор определений TCP/IP и модемных узлов, разбивающий
    определения построчно, и позволяющий задавать время работы станции в 
    человеческом формате и по местному времени. После редактирования узла
    время его работы автоматически преобразуется в локальное.
    
[*] Сообщение WZ Pending/Incomplete пишется в лог только если одно из значений
    превышало нуль. 

[*] Код и внутренняя структура программы претерпели значительные изменения
    в плане реструктуризации. Кое-какие старые бажки исправлены, кое-какие
    свеженькие добавлены :-)



2.712 (14-Sep-97)
----------------

[-] Исправлены графики активности TCP/IP-Daemon (Fyodor Ustinov).

[-] Исправлена минимизация в System Tray (Fyodor Ustinov).

[-] Исправлена ошибка в вычислении TxyL (Pavel Levshin).

[-] "Дубль #2" - к числу принятых/переданных за сессию байт в 
    binary_log прибавлялся полный размер последнего файла, независимо 
    от того, был ли принят/передан полностью (Nicolas Rodionov).

[-] Исправлен механизм пропускания неопознанных данных config.bin.



2.710 (5-Sep-97)
----------------

[-] Исправлена пустая прозвонка и потеря аттача, возникавшая иногда при
    большом аутбаунде (Fyodor Ustinov).

[*] Ответ модема RING пишется в лог.
 
[-] Исправлено переполнение индикатора приема на BinkP.

[-] Исправлены мелкие затыки при BinkP-соединении.

[-] К числу принятых/переданных за сессию байт в binary_log прибавлялся 
    полный размер последнего файла, независимо от того, был ли 
    принят/передан полностью (Nicolas Rodionov).


2.708 (20-Aug-97)
-----------------

[*] Аргус не соединялся с D'Bridge на пустой исходящей сессии (Austin C. 
    Phelps, Michael Karpov).

[-] Соединение по строке "CONNECT DCD/???" вызывало ошибку "Floating point 
    division by zero" (Michael Karpov, Vladimir Polozhencev).



2.706 (16-Aug-97)
-----------------

[*] Zone Mail Hour теперь не прибавляется к Txy.

[*] Файловые запросы на пойнтовый адрес теперь передаются как 'NNNNFFFF.REQ'
    вместо 'PPPPPPPP.REQ', для совместимости с FrontDoor (Ilja Teterin).

[-] Исправлен трап (версии 2.65-2.704), происходивший при закрытии линии
    (Fyodor Ustinov).

[-] Исправлен трап, возникавший при раскрытии ветки, заканчивающейся
    пойнтом (Vladimir Dobrachev).

[-] Аргус не реагировал на новые прозвонки до инициализации модема.

[*] Соединение EMSI и установка протокола обмена файлами происходит быстрее.

[*] Максимальные значения полей Retry seconds и Stand-off minutes увеличены
    до 14400 (2 дня) и 2880 (4 часа) (Egons Bush).



2.704 (03-Aug-97)
-----------------

[+] Испанский интерфейс (Jose-Luis Velasco).

[-] Ошибки в русском интерфейсе могли привести к трапу (Yurii Vorobiov).

[*] Начальные и конечные пробелы в поле пароля теперь автоматически 
    обрезаются (Fyodor Ustinov).

[-] Исправлена ошибка, приводившая к Integer Overflow Trap при обраьотке
    файлов, датированных вне диапазона 1970 - 2037 Н.Э. (Fyodor Ustinov).

[-] Счетчики Transfer Progress Indicator не очищались (Vladimir Dobrachev).

[-] Исправлена ошибка с вычислением NewBlkLen на Hydra - блок мог
    уменьшаться вплоть до 0 байт (Ghena Plamadeala).




2.703 (24-Jul-97)
----------------

[!] Поддержка TCP/IP в версии для Windows 95. 

[+] Advanced/Poll Options.

[+] Modem Disable Reinit Atom.

[+] Голландский интерфейс.

[-] Баг с exit.now.

[-] Значения Config/Dialup/Station/AKA не проверялись на валидность.

[-] Пофиксан баг с "Error Initializing Modem" (Marc Kuhnert).



2.701 (16-Jul-97)
----------------

[+] Символ '?' перед командой/именем файла в строке 
    "Advanced/Externals/Cron/String to Execute", или 
    "Advanced/Externals/Postprocessors/String to Execute" сообщает о том,
    что процесс должен быть запущен в DETACHED_MODE (без использования 
    консоли). Этот флаг можно использовать только для Win32-консольных 
    приложений. Попытка запуска DETACHED Win3.1 или DOS-приложения 
    вызовет ошибку.
    Процессы могут быть запущены с определенным уровнем приоритета:
     '<' - низкий (IDLE_PRIORITY_CLASS)
     '+' - высокий (HIGH_PRIORITY_CLASS)
     '*' - критический (REALTIME_PRIORITY_CLASS).
    По умолчанию процессы запускаются с нормальным приоритетом 
      (NORMAL_PRIORITY_CLASS).
    
[-] В версии 2.70 некорректно проверялись пароли EMSI (Oleg Vasenyoff).

[-] Происходил трап при наличии приаттаченного файла без расширения 
    (Sean Rima).

[-] Обработка файлового запроса по псевдониму при отсутствии файла
    вызывала трап.


2.70 (14-Jul-97)
----------------

[*] Последовательность EMSI_INQ передается вызывающей стороной каждый раз 
    перед посылкой EMSI_DAT, если от удаленной системы не был получен
    EMSI_NAK (для совместимости с ifcico / Argus работающими через Cisco).

[-] При переключении интерфейса обратно на английский язык надписи в 
    заголовках (Header Contol Sections) оставались на прежнем языке 
    (Ivan Berger).

[-] Окно настройки периодических прозвонок (Periodical Polls) выводилось
    на английском независимо от текущего языка интерфейса (Dennis Sorokin).

[+] Ведется cronapps.log - лог запуска по Cron внешних 
    приложений (Sergio Aleksandrov).

[-] Неправильно обрабатывалась запись пойнта с нулевым номером в 
    пойнтлисте (Dmitri Panev). 

[+] Импорт паролей FrontDoor (Thanks to Alexander Habbe for data structures).

[+] Импорт паролей MainDoor (Thanks to ldellapi@tin.it for data structures)

[-] Manuall Polls в версиях 2.68-2.69 не игнорировали время работы 
    станции (Ivan Berger).

[-] Неправильно обрабатывались флаги T?A (Dmitry Toporkov).

[-] Неправильно интерпретировались флаги TxyL (Gleb Shirenkov).

[*] Wildcards в окне паролей.

[-] Неправильно вычислялось значение CPS при передаче на ZModem при
    плохой связи (Dmitri Panev).    

[+] Минимизируется в System Tray (James Roberts-Thomson).

[-] В лог и окно информации выводились только 255 символов списка AKA 
   (Marc Kuhnert).

[-] На исходящих binkp-соединениях не проверялись пароли для дополнительных
    AKA (Sergey Shenderuk).

[-] После успешного завершения исходящей сессии из-за кэширования буфера 
    отправки могла произойти вторичная пустая прозвонка (Vladimir Dobrachev).

[*] Обход бага драйвера Digiboard PC/8e с CommTimeouts (Gerhard Lustig).

[-] Компиляция нодлиста могла остановить таймер ожидания 
    прозвонки (Stephen Avdeyev).


2.69 (30-Jun-97)
----------------

[+] Поддержка портов до COM32 (Egons Bush).

[*] Выход из программы производится без подтверждения.

[*] Улучшена работа Skip/Refuse.

[-] Исправлена ошибка, приводившая иногда к "Already processing"...

[-] Ошибки в русском интерфейсе (Gleb Shirenkov, Peter Gannushkin).
  

2.68 (28-Jun-97)
----------------

[+] Поддержка флага TxyL - идентичен Txy, но работает не по UTC, 
    а по местному времени.

[+] При импорте конфигурации T-Mail также производится импорт времени работы
    станции. Импортируются также сложные конструкции, 
    например: 04:00-04:30,08:00-08:30,12:00-12:30,16:00-16:30,20:00-22:00

[-] При установке Аргуса на новое место при попытке обслуживания файлового
    запроса выводилась ошибка CollError (Vladimir Bakhvaloff). 

[-] Из-за ошибки в предыдущих версиях невозможно было запретить файловые 
    запросы в диалоге настройки (Ivan Berger).

[-] Версия под NT/IP не запускалась на машине с ненастроенными параметрами
    Windows/Network/TCP/IP (Sergey Golubev).

[-] Если первый фалйл в ?lo не находился, дальнейшая передача не производилась
    (Max Feduloff).

[-] При соединении факсом, если строка External Fax Receiver была пуста,
    происходил трап (Max Feduloff).


2.67 (23-Jun-97)
----------------

[-] В масках PostProcessors игнорировался символ '?' (Marc Kuhnert).

[-] В dialup-версиях 2.65-2.66 перепутаны закладки для Polls и 
    Outbound (Peter Gannushkin).

[-] В нижней части окна Outbound оставался мусор от других 
    окон (Peter Gannushkin).

[-] Символ '>' в начале строки "Advanced/Externals/Cron/String to 
    Execute", или "Advanced/Externals/Postprocessors/String to 
    Execute" информирует о том, что необходимо создать файл нулевой длинны 
    с именем, следующим после символа '>'. Если файл с таким именем
    уже существует, Аргус ничего не делает (не изменяет дату модификации/
    атрибуты/содержимое оригинального файла). Это полезно для создания 
    файловых флагов. Раньше для этой цели приходилось запускать внешним 
    приложением системный интерпретатор команд, для Win95 
    "command /c setflag.bat", или для WinNT "echo.>>flag.flg". Выполнение
    внешнего процесса приводило к переключению экрана в GUI из режима Full
    Screen (Fyodor Ustinov).


2.66 (22-Jun-97)
----------------

[+] Импорт конфигурации T-Mail.

[*] Флаги в оверрайдах теперь не замещают флаги из нодлиста, а добавляются 
    к ним. Чтобы затереть флаг из нодлиста, используется символ '!' перед
    именем флага. Спецмакрос !ALL затирает все флаги нодлиста (Fyodor Ustinov).

[-] Не запоминался язык интерфейса (Vladimir Petrov).

[-] Исправлена ошибка, возникавшая в версиях 2.63-2.65, приводившая к
    аварийному завершению при попытке создания нового модема или новой
    станции (Gleb Shirenkov).

[-] Исправлен баг в Outbound Viewer'е, приводивший к периодическому
    перезапуску Аргуса.



2.65 Gamma (19-Jun-97)
----------------------

[-] Исправлена ошибка версии 2.65 Alpha, связанная с запуском внешних 
    приложений (Sean Rima).

[-] Исправлен баг в Outbound Viewer'е, возникавший при нажатии 'On Sent'.



2.65 Alpha (18-Jun-97)
----------------------

[*] Изменен формат бинарного нодлиста Аргуса, nodelist.bin вместо nodelist.t2.

[*] Ускорен процесс компиляции нодлиста. Во всех предыдущих версиях компиляция
    нодлиста зверски тормозила систему.

[*] Значительно ускорена работы броузера нодлиста (Peter Gannushkin).

[-] При попытке редактирования файловых запросов свежеустановленного Аргуса 
    происходило аварийное завершение (Dmitry Tarasov).

[-] Устранены ошибки в полях SRIF OurAKA и TRANX (Sean Rima).

[-] Если узлы одной сети находились в разных файлах текстовых нодлистов,
    они не объединялись в одну сеть - использовался только первый сегмент.
    Теперь повторяющиеся узлы замещают друг друга в порядке следования 
    текстовых нодлистов.

[+] Поддерживаются оба формата пойнтлистов - с префиксом "Point," и без
    (Alexander Habbe).

[*] При создании первого ивента выдается сообщение информационного плана.

[+] Reload on Trap. При серьезных системных ошибках Аргус самостоятельно 
    перезапускается под новым PID.

[*] Оптимизирована прорисовка списка прозвонок (Fyodor Ustinov).

[-] В версиях 2.63-2.64 не работал popup-menu по правой кнопке мыши в
    списке прозвонок (Max Feduloff).

[-] При начале компиляции нодлиста до первого обновления окно показывало, 
    что якобы комлилирует какую-то 469-сеть.

[*] Броузер нодлиста ведет разделение по регионам и хабам.

[-] Исправлено несколько грамматических ошибок в русском интерфейсе (Gleb 
    Shirenkov).

[-] Если TCP/IP линия создавалась в момент выхода Аргуса, возникал трап.

[-] Символ '>' в начале строки "Advanced/Externals/Cron/String to 
    Execute", или "Advanced/Externals/Postprocessors/String to 
    Execute" информирует о том, что необходимо создать файл нулевой длинны 
    с именем, следующим после символа '>'. Если файл с таким именем
    уже существует, Аргус ничего не делает (не изменяет дату модификации/
    атрибуты/содержимое оригинального файла). Это полезно для создания 
    файловых флагов. Раньше для этой цели приходилось запускать внешним 
    приложением системный интерпретатор команд, для Win95 
    "command /c setflag.bat", или для WinNT "echo.>>flag.flg". Выполнение
    внешнего процесса приводило к переключению экрана в GUI из режима Full
    Screen (Fyodor Ustinov).

[*] HotTrack в списках.

[-] Удаление ивента не обновляло состояние кнопок и могло вызвать трап.

[*] Outbound Viewer перекочевал в страничку основного окна мэйлера.


2.64 (2-Jun-97)
---------------

[*] EMSI адаптирован для работы методом проброса входящих dialup-соединений
    через рутер на Аргус телнетом.

[*] Some minor fixes.

[*] Updated help files.


2.63 Alpha (30-May-97)
---------------------

[+] Поддержка внешних обработчиков файловых запросов (ERP) стандарта SRIF.
    Имя ERP задается в поле "Standard Request Information File - External
    Processor" диалога Advanced/File Requests. Ключевое слово %SRIF% в этом
    поле заменяется на имя временного файла SRIF.
    Пример поля при использовании AllFix (c) Harms Software Eng.:
    c:\fido\allfix\allfix Rp -SRIF %SRIF%

[+] Ведется бинарный файл статистики сессий binary_log, совместимый с 
    T-Mail / BinkD.

[+] Возможность отключения Fast logging (Config/Startup/Fast logging).
    Отключение этой возможности позволяет удалять хронологические файлы
    без перезагрузки Аргуса.

[-] Мелкие изменения в протоколе Zmodem для улучшения работы Refuse/Skip.

[-] Некоторые косметические изменения в интерфейсе.

[-] Кнопка Answer Call не всегда правильно работала.


2.62 Alpha (22-May-97)
---------------------

[+] Возможность установки Аргуса системным сервисом Windows NT. При этом
    Аргус будет стартовать с LocalSystem account сразу после запуска NT,
    до загрузки сети.

[*] После сканирования аутбаунда Аргус не проверял возможный входящий звонок,
    и мог вызвать Call Collision.

[+] Ручной ответ.

[-] Мелкие изменения в протоколе Zmodem для улучшения работы Refuse/Skip.

[-] При факсовом соединении Аргус посылал в порт строку "Calling external
    application...".

[-] При закрытии зеркала и смене языка закрытое зеркало появлялось вновь.

[-] Исправлено съезжание модемных лампочек за край окна, изчезание курсора в
    сетках  ввода строк, а также все остальные интерфейсные глюки,
    возникавшие при использовании System Large Fonts.

[*] SpeedButton'ы заменены на CoolButton'ы.

[-] При ручном удалении прозвонки возникал трап.

[*] Фича появившаяся в 2.59 "куски недокаченные файлов хранятся в
    Temporaty Inbound не более трех дней" работала некорректно, т.к. могла
    удалить файл полностью принятый, но пролежавший более трех дней в
    Temporaty Inbound.



2.60 Alpha (12-May-97)
---------------------

[+] Возможность приема факсов через внешний Fax Receiver.

    Пример настроек для BGFAX на ZyXEL E+:
    Config/Dialup/Modems:
     External Fax receiver: c:\bgfax\bgfax32.exe /fzyx c:\bgfax h%h z /dte:%b
     Commands/Init: ATZ|AT+FCLASS=6|
     Commands/Answer: AT+FAA=1;A!

[*] Оптимизирована процедура прорисовки окна лога.

[-] Tiny Memory Leaks (3 шт.)



2.59 Alpha (10-May-97)
---------------------

[+] Разрушающий/Неразрушающий Skip при приеме файлов на всех трех протоколах
    (никаких гарантий - все на Ваш страх и риск).

[+] Сортировка Dialup/IP-узлов.

[*] SppedButton'ы стали более объемными, изменен их внешний вид.

[*] Куски недокаченные файлов хранятся в Temporaty Inbound не более трех дней.

[*] При попытке удаления занятой прозвонки выдается сообщение.

[-] Пофиксан трап вызываемый на BinkP запросом удаленной системы сделать seek
    на конец файла.

[-] Hydra/ZModem не понимали Skip любого типа во время передачи файла.

[-] При редактировании атома со строковым параметром его значение не
    переносилось в поле ввода.

[-] Tiny Memory Leaks (2 шт.)

[-] Вместо Win32-функции HeapAlloc()/HeapFree() использован "BugFixed Delphi
    Heap Manager". Максимальное количество памяти, выделяемой Аргусом,
    при нормальных условиях не должно превышать 13 Mb.



2.58 Alpha (7-May-97)
---------------------

[+] Импорт узлов и паролей Bink/+ (C) serge terekhov

[-] При удалении всех элементов сетки Dialup/Nodes эти изменения
    игнорировались.

[-] Версии 2.53-2.57 использовали стандартную библиотеку Delphi Heap,
    которая содержит ошибки, приводящие к неоправданному расходу памяти
    (до десяти мегабайт за сутки интенсивной работы). Теперь вновь
    используются Win32-функции HeapAlloc()/HeapFree().

[-] При вызове диалогового окна Config / TCP/IP Daemon активизировалась
    страничка Events.


2.57 Alpha (7-May-97)
---------------------

[+] Eventы. (Более подробно описаны в файле events.txt).

[+] Возможность поднятия трубки с N-ного звонка, в зависимости от расписания.

[*] Строки Cron можно сокращать путем опускания крайних правых звездочек,
    то есть вместо "15 19 * * *" можно указать "15 19"

[-] Значения полей окон Periodical Polls и Externals/Cron не проверялось на
    валидность.

[-] Outbound Manager не видел *.out.

[-] Окно "Конфигурация периодических прозвонок" высвечивалось не полностью.

[-] При вызове пункта Инструменты/файловый запрос, высвечивалось окно, которое
    должно высвечиваться по Специальные/Файловые запросы.

[-] Пофиксан баг с дублированием пойнтов в NodelistBrowser'е.

[-] Если в поле телефона узла стояло нечто вроде "-Unpublished-", система
    игнорировала даже IP-overrides этого узла, а при попытке создать прозвонку
    вручную выдавалось "Node XXX is unlisted node".

[-] Исправлен трап, возникавший иногда при запуске TCP/IP-версии.

[-] Диалоговые окна "конфигурации модемной линии", "обзор структуры узлов"
    работали по-английски, независимо от текущего выбранного языка.

[+] Атомы:  Modem Command Init
            Modem Command Answer
            Modem Command Prefix
            Modem Command Suffix
            Modem Command Hangup
            Restriction Required
            Restriction Forbidden
            Replace Station
            Replace Modem
            Replace Restriction
            Accept Files Required
            Accept Files Forbidden
            Accept Nodes Required
            Accept Nodes Forbidden
            Accept Link Required
            Accept Link Forbidden
            Accept Speed Min
            Accept FReqs
            Rings


2.55 (26-Apr-97)
----------------

[*] Пункты конфигурации меню Congig, не требующие обязательной настройки,
    вынесены в новое меню Advanced.

[+] Добавлена возможность  периодического запуска внешних приложений и
    выполнения команд системного интерпретатора (Advanced/Externals/Cron).
    Описание формата cron содержится в файле cron.txt

[+] Добавлена возможность автосоздания периодических прозвонок
    (Advanced/Periodical Polls). Интервалы задаются в соответствии с форматом
    cron.

[+] Возможность подстановки определенных AKA для определенных линков.
    Для модемных соединений - Config/Dialup/Station/AKA
    Для TCP/IP соединений - Config/TCP/IP Daemon/AKA

[+] Возможность работы с сетками ввода строк посредством всплывающего меню,
    вызываемого нажатием правой кнопки мыши в области сетки.

[+] Экспорт текстового содержимого сеток ввода строк в текстовый файл.

[+] Импорт текстового содержимого сеток ввода строк из текстового файла.

[*] Возобновлено функционирование броузера структуры узлов.

[*] При HST-соединении передача файлов происходит на протоколе Zmodem.

[*] Команда ZSkip на Zmodem больше не применяется, вместо этого для refuse
    используется ZRPos на конец файла.

[*] При соединении с Bink/+, TERMINATOR 2, в лог выводилось "лишнее" сообщение
    "Unexpected EMSI sequence: INQ".

[-] Пофиксан трап, возникавший при множественном нажатии кнопки Abort.

[-] Исправлена ошибка, из-за которой Oubount Manager не видел Outbound.



2.54 (22-Apr-97)
----------------

[+] Появился менеджер буфера отправки (Outbound Manager). В текущей версии -
    read-only mode.

[+] Импорт паролей и узлов. В версии 2.54 поддерживаются BinkD и Xenia.

[+] Ведутся дополнительные логи: access_log и agent_log.

[*] При смене Home Directory Аргус требует выхода из программы.



2.53 (20-Apr-97)
----------------

[*] В диалоге настройки модемов по нажатию OK, управляющие команды проверяются
    на соответствие завершающего символа - для дополнительного удобства и
    облегчения процесса настройки. В случае несоответствия выдается
    предупреждение.

[+] В диалоге настройки TCP/IP Daemon, данные поля списка адресов и
    переопределений узлов проверяются на валидность.

[*] Со списками прозвонок и модемных соединений можно работать по правой
    кнопке мыши.

[+] В псевдонимах файловых запросов можно использовать маски (как в поле
    "Псевдоним", так и в поле "Путь"). Предшествующий символ '>' означает
    самый свежий файл, попадающий под эту маску. На один псевдоним можно
    назначить несколько файлов, перечислив их через пробел.

[*] Директива %ARCMAIL% в диалоге Externals Configurations эквивалентна списку
    *.su? *.mo? *.tu? *.we? *.th? *.fr? *.sa?,

[*] Директива %FRIPMAIL% в диалоге Externals Configurations эквивалентна списку
    *.rip *.riz *.rif

[*] По обнаружении NODELIST.OK в Home Directory происходит автоматическая
    компиляция нодлиста.

[*] Все внешние приложения запускаются в Minimized-State, чтобы не сбивать
    активный фокус.

[-] Исправлена ошибка, возникавшая при приеме невалидного FTN-адреса во
    время BinkP-соединения.




2.51 (11-Apr-97)
----------------

[+] Installer/Uninstaller

[+] Мультиязычный интерфейс. Возможность переключения языков в процессе работы.

[*] Процесс компиляции нодлиста ускорен в 1.5-4 раза.

[*] Поддержка совместимости с древними мэйлерами (типа D'B Link) с
    регистрозависимой интерпретацией шестнадцатиричных цифр в EMSI.

[-] Версии, начиная с 2.45, передавали недокаченные файлы с начала.



2.49 (3-Apr-97)
----------------

[-] Не учитывался переход на летнее время.

[-] Исправлены старые ошибки (тянувшиеся с версий 1.xx) в библиотеке нодлиста.
    a) Исправлена ошибка, приводящая к зависанию Аргуса во время компиляции
       нодлиста во время интенсивной работы мэйлера.
    б) Нормально работает кнопка Stop в диалоге статуса компиляции нодлиста.
    в) Проверка на валидность файла нодлиста - при поврежденном nodelist.t2
       система прерывалась с exception.



2.48 (31-Mar-97)
----------------

[-] Исправлена ошибка версии 2.47 - не срабатывала кнопка OK в TCP/IP Daemon.

[*] Ускорена работа GUI за счет более интеллектуального обновления.



2.47 (Sunday, 30-Mar-97)
----------------

[+] Проверка рестрикшнов на валидность.

[*] Ускорена работа за счет удаления счетчика AllocMemSize/AllocMemCount

[-] Мелкие фиксы интерфейсного плана.



2.46 (29-Mar-97)
----------------

[+] Появился английский хелп, и возможность переключения языков хелпа.

[-] Исправлена ошибка версии 2.45, появляющаяся при обработке файлового
    запроса.



2.45 (28-Mar-97)
----------------

[+] Возможность запуска внешних приложений (BBS, PPP) по принятию ключевой
    строки до начала EMSI-соединения (Config/Externals/Doors).

[+] В конфигурации модемных и TCP/IP-соедниений можно задавать banner'ы -
    заставки для соединяющихся терминалом.

[+] Возможность запуска исполнимых файлов и команд интерпретатора OS по
    приходу определенных файлов (Config/Externals/PostProcessors).

[+] Обработка аттача Direct (DLO/DUT). Аргус рассматривает его в точности, как
    Crash, но Crash-почта/файлы передаются раньше Direct.

[+] Возможность начинать сессию просто по обнаружению сигнала DCD или строки
    CONNECT, находясь в режиме Idle. Благодаря этому можно настроить модем
    так, чтобы он сам поднимал трубу после определенного звонка (регистр S0).
    Чтобы Аргус не посылал Answer String по обнаружению сигнала RING, поле
    Ring в Modem Responses надо очистить.

[*] При импортировании конфигурации предыдущих версий Аргус сообщает
    о нововведенных пунктах.

[+] Графическая статистика активности IP-канала.

[+] Появилась возможность получать подробную информацию о Poll'e (элементе
    прозвонки) - пункт меню Poll|Info и соответствующая кнопка.

[*] Закладка Lines диалога Dialup Configuration теперь отображает Station
    Template, Port и Modem.

[*] В поле Log File Name диалога Dialup|Mailer line configuration можно
    указывать полный путь файла, чтобы он находился в каталоге, отличном от
    прописанного в Pathnames.

[*] Появилось множество новых горячих клавиш. Закладки в основном окне
    переключаются по Ctrl+[Shift]+Tab.

[*] Обход бага в WSACleanup от WinSock2.

[-] Мелкие багфиксы.



2.38 (4-Mar-97)
---------------

[!] Появился хелп :)

[*] При прозвонке на адрес, все принимаемые файлы приписываются именно к этому
    адресу, а не к первому из предъявленной им строки адресов (AKA).

[-] Убрана возможность работы с TaskBar Tray, так как в ней содержится много
    глюков и подводных камней.

[-] Убрана Debug-EMSI информация из лога.

[-] Данные EMSI в TCP/IP-версии на модемной линии выводились в лог только в
    первой сессии.



2.37 (24-Feb-97)
---------------

[-] Исправлен древний баг, приводивший к трапу при первом запуске.



2.36 (22-Feb-97)
---------------

[!] Аргус становится Shareware. Read license for details.

[*] Для определения ip-адреса из символьного имени хоста используется
    WSAAsyncGetHostByName() - более "интеллектуальный" вариант BSD'шного
    gethostbyname()

[*] Приращение индикатора прогресса приема/передачи файлов теперь происходит
    плавно (раньше - кратно размеру блока).

[*] Файловые запросы приведены в относительный порядок (см. Config/File
    Requests). Научились понимать/передавать флажок NRQ.

[*] Пришлось отказаться от дельфевого Heap Manager'а из-за его неимоверной
    глюкавости. Теперь используем просто Win32 HeapAlloc()/HeapFree().

[-] Исправлены затыки на BinkD перед окончанием сессии.

[-] Исправлены затыки на EMSI, особенно часто возникавшие при IP-соединении.
    Обо всех неожидавшихся EMSI-последовательностях теперь сообщаем в логе.

[-] Исправлено неубиение переданных .req, введенное в v2.28

[-] Исправлено неубиение пустых .?lo, тянущееся с незапамятных времен.

[-] Труба бросалась раньше, чем успевал передаться сигнал окончания протокола.

[-] Не устанавливалось время принятых файлов.

[-] Не работали Refuse/Delay на BinkD.

[-] Проверка на переход за конец файла на BinkD.

[-] Приаттаченные файлы *.?UT посылались как PKT.

[*] Теперь разгребаем BadWaZOO примерно раз в минуту, а не только при запуске
    модемных линий.

[*] В окнах активности модема пришлось отказаться от особоглючного фонта
    'Terminal' - теперь рисуем символы битмэпами.



2.28 (12-Feb-97)
---------------

[*] Номер ip-порта можно указывать после адреса не только через '_', но и
    через ':'.

[-] При отсутствии config.bin версия 2.27 вылетала, вместо того, чтобы создать
    новый.

[-] В адресе ip-узла в нодлисте '_' заменялось на ' ', и прозвонка на
    такой узел производилась по дефолтному порту.

[-] Флажок HFR в EMSI - указывает что удаленная система ложит FREQ'и на Hold.

[-] На BinkD не работала докачка при посылке файла.

[-] Сообщение "Address is locked - removed from AKA list" выводилось, хотя
    фактически адрес не удалялся из списка.

[-] При непарольном соединении на BinkD больше не выдается сообщение
    'Remote proposes password "-"'.



2.27 (9-Feb-97)
---------------

[!] В этой версии проведена серьезная работа над ошибками. Исправлено большое
    количество технических багов, приводивших от простого отжирания памяти и
    системных хэндлов до трапов системы.

[!] В целом программа стала работать чуточку быстрее, особенно на многолинейных
    IP-узлах.

[*] Переделано поле вывода лога. Обновление этого поля при переключении
    между линиями происходит значительно быстрее. Теперь в памяти хранятся
    только последние 200 строк лога.

[*] Ужесточен метод проверки паролей - теперь если удаленная станция
    предъявила сразу два адреса, на которые у нас стоит пароль, происходит
    отлуп.

[*] BSY-файлы старше шести часов (не думаю, что тоссер будет тоссить на один
    узел шесть часов непрерывно после закрытия BSY) и HRQ-файлы старше трех
    дней (напомню, что файловые запросы, обработанные Аргусом приаттачиваются
    в HRQ) удаляются.

[*] В оверрайдах время работы станции (FSC-0072 "Txy" флаг) можно указывать
    только после "U,".

[*] Во всех предыдущих версиях ненайденные файлы не выписывались из ?lo'шек,
    что могло приводить к вечным поллам.

[-] После перекомпиляции нодлиста или изменения оверрайдов поллы продолжали
    работать со старыми данными.

[*] Временно отключен Nodelist Browser.

[-] С версий 2.14+ протоколы не всегда реагировали на потерю несущей.

[-] Нормальная интерпретация путей, начинающихся с "\" и "\\".

[*] Изменена обработка закладок и всего интерфейса в целом - раньше при
    наличии 168 линков работать было просто невозможно...

[*] Ускорено кэширование нодлиста.

[*] Теперь прогнозируемый трафик BinkD не только передается, но и выводится
    в лог.

[-] Исправлена ошибка в процедуре конвертации unixtime<->Win32FileTime.

[-] Некоторые номера телефонов ошибочно считались IP-адресами (в Dialup-Only
    версиях).

[*] Перед выходным IP-соединением сокет bind'ился, хотя толку от этого,
    кроме регулярной ошибки WSAADDRINUSE, не было.

[-] Исправлена ошибка в нумерации IP-линий.

[-] HomeDirectory не прописывался в Registry (в версии 2.21).

[-] В обработке кэша нодлиста исправлено множество ошибок, тянувшихся с
    версий 1.xx. Удивительно, как оно вообще умудрялось работать?!

[-] Исправлены синхронизирующие части тредов (во избежании трапов в IP-версии).

[-] В процессе интенсивной работы на многолинейном IP-узле накапливалось
    множество неосвобожденных битмэпов и незакрытых хэндлов завершенных
    тредов.

[-] При неудачной попытке исходящего IP-сроединения хэндл сокета не
    закрывался. Последующие попытки соединения с этим адресом приводили к
    ошибке WSAEADDRINUSE с новыми незакрытыми хэндлами.
    И хотя в WinSock 2.0 можно открыть очень большое количество хэндлов
    сокетов, всему есть свой предел :)



2.21 (27-Jan-97)

  При переключении линий не обновлялись индикаторы активности модема.

  Перед выходом из программы с открытыми сессиями фактического закрытия
  сессий не происходило (кроме опускания сигнала DTR).

  При наличии дополнительных параметров в поле "Desired Options" Гидры
  протокол завершался с кодом "Incompatible protocol options on this link".

  Появилась долгожданная поддержка TCP/IP в NT-веpсии (Windows 95 пока
  не поддерживает WinSocket 2.0). передача по Raw Ip, Telnet, BinkP (BinkD)
  протоколам.

  Прогнозируемый тpафик BinkD передается командой NUL "TRF <Mail> <Files>".

  Фpеки чеpез BinkD - в следующей версии.

  Окошко Config|Startup. Аpгус тепеpь может работать в Taskbar Tray'е. При
  этом закрытие основного окна приводит лишь к удалению всех окон Аргуса
  с рабочего стола и списка окон (Alt-Tab). Выход из программы производится
  по Alt-X.

  Config|Startup|Application Mode определяет вид приложения Аргуса.
    0 - Normal
    1 - Normal Tray
    2 - Hidden Tray
    3 - Hidden
  Значение этой переменной хранится под именем AppMode в
  HKEY_LOCAL_MACHINE\SOFTWARE\RIT\ARGUS\CurrentVersion\IniFile.ini



2.19 (20-Jan-97)

  В диалоге Station Template поле Address проверяется на валидность.

  Значения Node Overrides проверяются на валидность с подробным описанием
  причины возможной ошибки.

  Кнопка New в Dialup Configuration.

  При отсутствии строчки Zone,x в начале нодлиста в качестве базовой зоны
  используется значение из поля Default Zone.

  Если во время EMSI-соединения в поле Address приходило невалидное значение,
  Argus прекращал свою работу.

  В список мэйлеров, "имеющих проблемы в обработке ZFERR/FINFOACK-2" введен
  Bink/+. Если, во время сессии с Bink/+, Аргус не может записать на диск
  принимаемый файл, то команды ZFERR/FINFOACK-2 не посылаются. Вместо этого
  посылается последовательность завершения сессии и происходит отсоединение.

  Если нажать Cancel в окне редактирования запрашиваемых файлов, то оставался
  .req нулевой длины.

  Оптимизирована работа тpедов. Тепеpь Аpгус кушает еще меньше процессорного
  времени. :)

  Исправлен тpап, возникавший после получения пустого .req-файла.

  В лог-файл теперь сообщается общее количество приаттаченных файлов в
  результате файлового запроса, а также выводятся поля EMSI Addon.

  Во втором batch'е (на Гидре) повторно передавался .req-файл, из-за чего
  удаленная система могла два раза передать Аргусу один и тот же
  запрашиваемый файл.

  Поправлено сканирование outbound'а. Если каталог для нетекущей зоны не
  был создан, в лог выводилось сообщение примерно такого характеpа:
  SYS00002 'R:\FL\OUT.007\046A0190' (The system cannot find the file specified)

  Аргус подружился с ifcico. Реализация протокола ZModem в этом мэйлере
  "не верит" первой принятой команде ZFin (Finish Protocol). Аргус при
  сессии с ifcico передает ZFin дважды подряд.



2.17 (08-Jan-97)

  Теперь ведутся две версии - под Windows 95 и под Windows NT 4.0

  В пунктах выпадающих меню версии под Win95 используются
  "жирные элементы", которые срабатывают при двойном щелчке мышкой
  на заголовок выпадающего меню.

  Каталог аутбаунда, если он оказывается пустым (что часто бывает у пойнта),
  теперь не удаляется.

  Временно введена возможность завершения программы по обнаружению файла
  EXIT.NOW в "Home Directory". Наличие файла проверяется после каждой
  инициализации модема (не реже чем раз в три минуты).

  Основное окно мэйлера, а также окно "Threads Information" запоминает
  свое положение и размер.



2.16 (07-Jan-97)

  Везде, где это возможно (кроме индикаторов активности модема)
  пришлось избавиться от фонта Terminal, из-за его глючности и
  непредсказуемости размеров. Вместо него теперь используется FixedSys.

  Появилась возможность избегать проблем с мэйлерами, неправильно
  интерпретирующими или имеющих проблемы в обработке ZFERR/FINFOACK-2
  (команды задержки файла до следующей сессии). Эти команды
  передаются протоколом, если по каким-то причинам файл не может
  быть принят в текущей сессии (мало места на диске, временно потеряна
  связь с сервером, содержащим каталог inbound).

  Лог теперь выводится в стандартное memo-поле.

  Появились настройки IP-daemon'а. Сам демон (вместе с запоминанием
  положения/размеров окон) - в следующей версии :)

  Все ошибки, допущенные пользователем в описании узлов (Dialup Nodes /
  IP Nodes) теперь проверяются и подробно растолковываются "не отходя от
  кассы" :)



2.15 (30-Dec-96)

  Нормальное масштабирование основного окна, добавлены About и Credits :)



2.14 (28-Dec-96)

  Исправлена ошибка визуализатора тредов, приводившая к засыпанию линий
  мэйлера.



2.12 (27-Dec-96)

  Первая широкая бета :)



2.11 (22-Dec-96)

  Слегка изменен интерфейс. Появилась возможность открывать множественные
  Mirror'ы. Разработаны лого и иконка (thanks to Vladimir Januszkiewicz).



2.03 (14-Dec-96)

  Индикаторы активности модема.



2.02 (Friday, 13-Dec-96)

  Появился 'Poll Manager' с отдельным лог-файлом.



2.01 (7-Dec-96)

  Индикаторы прогресса сессии. Прогнозирование входящего/исходящего тpафика.
  Директивы 'MOH' и 'TRAF'.



1.14 (1-Dec-96)

  EMSI доведен до кондиции :) Отправлен запрос на получение продуктного кода.



0.03 (19-Nov-96)

  Полностью пересмотрена структура программы и идеология ее конфигурирования.
  Вследствие этого пришлось временно остаться без терминала, WinSocket'а,
  Outbound Manager'а, YooHoo, YModem'а и файлбоксов. Файловые запросы
  обрабатываются в реальном времени (для этого запускается отдельный
  тред, сканирующий файловую базу), что особенно эффективно при
  двунаправленной передаче на гидре.



0.02 (30-Oct-96)
   Первая рабочая версия.
   В набор возможностей входил терминал с автообучающимися REXX-скриптами,
   drag'n'drop телефонная книга,
   работа через WinSocket,
   Nodelist Browser,
   Outbound Manager,
   хэндшэйки YooHoo, EMSI,
   протоколы YModem, Zmodem и Hydra,
   файлбоксы.
   Фреки отдавать не умелись.




----

[!] - глобальное изменение.
[*] - незначительное изменение, на которое, впрочем, стоит обратить внимание.
[+] - новая фича :)
[-] - багфикс


  Желаю удачи!
            Максим Масютин
            2:469/84
            argus@ritlabs.com

